var promocionesvalidate;
var idLista;
var titulosContratados;
var listasValidas;

$().ready(function() {
	promocionesvalidate = new promocionesValidate();
});

function promocionesValidate() {
	this.formManager = new FormManager();
	this.componentesGenerales();

};


promocionesValidate.prototype.inicializarModalFechas = function(modal) {

	$("#id" + modal + " [name=hvrd]").datepicker();
	$("#id" + modal + " [name=fechaFin]").datepicker("option", "minDate", null);
	$("#id" + modal + " [name=fechaInicio]").datepicker("option", "maxDate", null);

	$("#id" + modal + " [name=fechaInicio]").datepicker('option', 'onClose', function(selectedDate) {
		$("#id" + modal + " [name=fechaFin]").datepicker("option", "minDate", selectedDate);
	});

	$("#id" + modal + " [name=fechaFin]").datepicker('option', 'onClose', function(selectedDate) {
		$("#id" + modal + " [name=fechaInicio]").datepicker("option", "maxDate", selectedDate);
	});
}


promocionesValidate.prototype.componentesGenerales = function() {
	this.formManager.initForm("idEditForm", {
		rules: {
			"descuento": { required: true, digits: true, maxlength: 7 },
			"selectEstudios": { required: true },
			"nombre_promocion": { required: true, maxlength: 50 },
			"fecha_inicio": { required: true },
			"fecha_fin": { required: true },

			"upddescuento": { required: true, digits: true, maxlength: 7 },
			"updselectEstudios": { required: true },
			"updnombre_promocion": { required: true, maxlength: 50 },
			"updfecha_inicio": { required: true },
			"updfecha_fin": { required: true }


		}
	});

	this.formManager.initForm("formNuevaPromocion");
	this.formManager.initForm("formModificaPromocion");

};

promocionesValidate.prototype.activarFuncionalidad = function(idLista, listas) {

	var encontrado = false;
	for (var i = 0; i < listas.length; i++) {
		if (listas[i] == idLista) {
			encontrado = true;
			$('div[id="divBotonesTitulo"] button').prop("disabled", true);
			$('#bBusqueda').prop("disabled", false);
			var perfil = new PerfilController();
			perfil.ejecutarPerfil(parseInt($("#pmn").val()));
		}
	}

	if (!encontrado) {
		$('div[id="divBotonesTitulo"] button').prop("disabled", true);
		$('#bBusqueda').prop("disabled", false);
	}
};
